using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATExceptionNote")]
public partial class AtexceptionNote
{
    [Key]
    [Column("WorkItemReferenceID")]
    public int WorkItemReferenceId { get; set; }

    [StringLength(255)]
    public string? ExceptionReason { get; set; }

    [StringLength(255)]
    public string? ExceptionUser { get; set; }

    public int ExceptionType { get; set; }

    [ForeignKey("ExceptionUser")]
    [InverseProperty("AtexceptionNotes")]
    public virtual Atuser? ExceptionUserNavigation { get; set; }

    [ForeignKey("WorkItemReferenceId")]
    [InverseProperty("AtexceptionNote")]
    public virtual AtworkItemReference WorkItemReference { get; set; } = null!;
}
